# FieldRelationshipType

    public protocol FieldRelationshipType

Values to be used for `Field.Relationship` properties.

- `DestinationObjectType`

  The destination object’s type

  #### Declaration

  Swift

      associatedtype DestinationObjectType : CoreStoreObject

- `NativeValueType`

  The Objective-C native type synthesized by Core Data

  #### Declaration

  Swift

      associatedtype NativeValueType : AnyObject

- `SnapshotValueType`

  The corresponding value for this field returned from `ObjectSnapshot` properties.

  #### Declaration

  Swift

      associatedtype SnapshotValueType

- `PublishedType`

  The corresponding value for this field returned from `ObjectPublisher` properties.

  #### Declaration

  Swift

      associatedtype PublishedType

- `cs_toReturnType(from:)`

  Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      static func cs_toReturnType(from value: NativeValueType?) -> Self

- `cs_toPublishedType(from:in:)`

  Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      static func cs_toPublishedType(from value: SnapshotValueType, in context: NSManagedObjectContext) -> PublishedType

- `cs_toNativeType(from:)`

  Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      static func cs_toNativeType(from value: Self) -> NativeValueType?

- `cs_toSnapshotType(from:)`

  Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      static func cs_toSnapshotType(from value: PublishedType) -> SnapshotValueType

- `cs_valueForSnapshot(from:)`

  Used internally by CoreStore. Do not call directly.

  #### Declaration

  Swift

      static func cs_valueForSnapshot(from objectIDs: [DestinationObjectType.ObjectID]) -> SnapshotValueType